Subject: Re: i see no perl executable around there
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Mon, 9 Aug 2004 21:02:50 -0700

On Mon, Aug 09, 2004 at 08:23:21PM -0700, Steve Kelem wrote:
> I downloaded perl5.8.5:
> % perl --version
> 
> This is perl, v5.8.5 built for cygwin-thread-multi-64int
> 
> Copyright 1987-2004, Larry Wall
> 
> When I tried to build Compress::Zlib manually, I got the message:
> 
> LD_RUN_PATH="" ld2  -s -L/usr/local/lib Zlib.o adler32.o compress.o 
> crc32.o gzio.o uncompr.o deflate.o trees.o zutil.o inflate.o infblock.o 
> inftrees.o infcodes.o infutil.o inffast.o   -o 
> blib/arch/auto/Compress/Zlib/Zlib.dll  
> /usr/lib/perl5/5.8.5/cygwin-thread-multi-64int/CORE/libperl.dll.a
> i see no perl executable around there
> perl is required to build dynamic libraries
> go fetch one or build this one static
> MAKE: *** [blib/arch/auto/Compress/Zlib/Zlib.dll] Error 1
> 
> Any idea what the problem is?

What does "which ld2" say?  What is in it?  Building your own custom perl
may have overwritten it (but it should still work so long as that perl
is still around).

Please attach cygcheck output.  See:
> Problem reports:       http://cygwin.com/problems.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/